"
Upgrade3Init is a class used during image upgrade.  
Methods should only be executed via the image upgrade scripts.
"
Class {
	#name : 'Upgrade3Init',
	#superclass : 'PrivateObject',
	#category : nil
}

{ #category : 'Image Upgrade' }
Upgrade3Init class >> _disallowSubclasses [
| list blk |
	blk := [:cls | "_unsafeDisallowSubclasses"
          cls _unsafeAt: 2 "offset of format"
             put: (cls format bitOr: 32 "subclasses disallowed bit") .
          cls _refreshClassCache: false
       ].
  list := { Behavior . Class . ObsoleteMetaclass . Repository . UserProfileSet .
     AbstractUserProfileSet .
     CompiledMethod . Float . DecimalFloat . SmallFloat . SmallDouble .
     Symbol . DoubleByteSymbol .
     UnimplementedFloat1 . UnimplementedFloat2 .
     MethodContext . Block . SelectionBlock .
     GsObjectSecurityPolicy . SymbolList . System . UndefinedObject . UserProfile . Boolean .
     Character . SmallInteger . Integer . LargeInteger .
     JISCharacter . StackSegment .
     StackBuffer . Activation . Process . VariableContext . BlockClosure .

     ExecBlock . ExecutableBlock . SimpleBlock . ComplexBlock . ComplexVCBlock . 
     ExecBlock0 . ExecBlock1 . ExecBlock2 . ExecBlock3 . ExecBlock4 . ExecBlock5 . ExecBlockN .
     GsMethod . GsNMethod . GsNativeCode .
     GsProcess . GsMethodDictionary . GsStackBuffer .

     SelectBlock . BasicSortNode .
     RcIndexDictionary . NscBuilder .

     "PathTerm . ConstrainedPathTerm . SetValuedPathTerm"  "fix bug 11484"
     }.
  list do: [ :aClass | blk value: aClass ].

  list do: [ :aClass |
     aClass subclassesDisallowed ifFalse:[ ^ 'Error on ' , aClass name ].
     ] .

]

{ #category : 'Image Upgrade' }
Upgrade3Init class >> _setByteSwizzles [
" Set the NbyteWords swizzle option in some byte format classes, so it
  shows up in the result of Class>>definition.  ominit.c synthesizes the
  in-memory swizzle info for the classes if needed when class is faulted in.
  Part of fix 47516."
| blk |
GsFile gciLogServer:'_setByteSwizzles'.
blk := [:cls :aSym | | fmt newFmt |
   fmt := cls format .
   newFmt := cls _addByteSwizzle: aSym toFormat: fmt newClassName: cls name signed: false .
   newFmt = fmt ifTrue:[
     GsFile gciLogServer: '  ',cls name, ' no change'.
   ] ifFalse:[
     cls _unsafeAt: 2 put: newFmt .
     GsFile gciLogServer: '  ',cls name, ' old format ', fmt asString, ' new format ', newFmt asString
   ].
].
{ DoubleByteString .
  DoubleByteSymbol .
  Unicode16  .
  Utf16
} do:[:aCls | blk value: aCls value: #'2byteWords' ].

{ LargeInteger  .
  QuadByteString .
  QuadByteSymbol .
  Unicode32 .
  SmallFloat .
  BitSet .
} do:[:aCls | blk value: aCls value: #'4byteWords' ].

{  Float
} do:[ :aCls | blk value: aCls value: #'8byteWords' ].

]
